Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class QuadBlock

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<com.hp.hpl.jena.sparql.core.Quad>
                  com.hp.hpl.jena.sdb.compiler.QuadBlock

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.util.PrintSerializable, Serializable, Cloneable, Iterable<com.hp.hpl.jena.sparql.core.Quad>, Collection<com.hp.hpl.jena.sparql.core.Quad>, List<com.hp.hpl.jena.sparql.core.Quad>, RandomAccess, org.openjena.atlas.io.Printable

    public class QuadBlock

extends ArrayList<com.hp.hpl.jena.sparql.core.Quad>
implements Iterable<com.hp.hpl.jena.sparql.core.Quad>, com.hp.hpl.jena.sparql.util.PrintSerializable

See Also:
  Serialized Form

Constructor Summary
`QuadBlock()`
`QuadBlock(com.hp.hpl.jena.sparql.algebra.op.OpQuadPattern quadPattern)`
`QuadBlock(QuadBlock other)`

Method Summary
`com.hp.hpl.jena.sparql.core.Quad[]` | `asArray()`
`QuadBlock` | `clone()` Copy with no shared quads
`boolean` | `contains(com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`boolean` | `contains(com.hp.hpl.jena.sparql.core.Quad pattern)`
`Iterable<com.hp.hpl.jena.sparql.core.Quad>` | `find(com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`Iterable<com.hp.hpl.jena.sparql.core.Quad>` | `find(com.hp.hpl.jena.sparql.core.Quad pattern)`
`int` | `findFirst(int start, com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`int` | `findFirst(int start, com.hp.hpl.jena.sparql.core.Quad pattern)`
`int` | `findFirst(com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`int` | `findFirst(com.hp.hpl.jena.sparql.core.Quad pattern)`
`com.hp.hpl.jena.graph.Node` | `getGraphNode()`
`void` | `output(org.openjena.atlas.io.IndentedWriter out)`
`void` | `output(org.openjena.atlas.io.IndentedWriter out, com.hp.hpl.jena.sparql.serializer.SerializationContext sCxt)`
`QuadBlock` | `subBlock(int fromIndex)`
`QuadBlock` | `subBlock(int fromIndex, int toIndex)`
`String` | `toString()`
`String` | `toString(com.hp.hpl.jena.shared.PrefixMapping prefixMapping)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Iterable
`iterator`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode`

Constructor Detail

### QuadBlock

    public QuadBlock()

### QuadBlock

    public QuadBlock(QuadBlock other)

### QuadBlock

    public QuadBlock(com.hp.hpl.jena.sparql.algebra.op.OpQuadPattern quadPattern)

Method Detail

### clone

    public QuadBlock clone()

  Copy with no shared quads

  Overrides:
    `clone` in class `ArrayList<com.hp.hpl.jena.sparql.core.Quad>`

### asArray

    public com.hp.hpl.jena.sparql.core.Quad[] asArray()

### getGraphNode

    public com.hp.hpl.jena.graph.Node getGraphNode()

### contains

    public boolean contains(com.hp.hpl.jena.sparql.core.Quad pattern)

### contains

    public boolean contains(com.hp.hpl.jena.graph.Node g,
                            com.hp.hpl.jena.graph.Node s,
                            com.hp.hpl.jena.graph.Node p,
                            com.hp.hpl.jena.graph.Node o)

### findFirst

    public int findFirst(com.hp.hpl.jena.sparql.core.Quad pattern)

### findFirst

    public int findFirst(com.hp.hpl.jena.graph.Node g,
                         com.hp.hpl.jena.graph.Node s,
                         com.hp.hpl.jena.graph.Node p,
                         com.hp.hpl.jena.graph.Node o)

### findFirst

    public int findFirst(int start,
                         com.hp.hpl.jena.sparql.core.Quad pattern)

### findFirst

    public int findFirst(int start,
                         com.hp.hpl.jena.graph.Node g,
                         com.hp.hpl.jena.graph.Node s,
                         com.hp.hpl.jena.graph.Node p,
                         com.hp.hpl.jena.graph.Node o)

### subBlock

    public QuadBlock subBlock(int fromIndex,
                              int toIndex)

### subBlock

    public QuadBlock subBlock(int fromIndex)

### find

    public Iterable<com.hp.hpl.jena.sparql.core.Quad> find(com.hp.hpl.jena.sparql.core.Quad pattern)

### find

    public Iterable<com.hp.hpl.jena.sparql.core.Quad> find(com.hp.hpl.jena.graph.Node g,
                                                           com.hp.hpl.jena.graph.Node s,
                                                           com.hp.hpl.jena.graph.Node p,
                                                           com.hp.hpl.jena.graph.Node o)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<com.hp.hpl.jena.sparql.core.Quad>`

### output

    public void output(org.openjena.atlas.io.IndentedWriter out,
                       com.hp.hpl.jena.sparql.serializer.SerializationContext sCxt)

  Specified by:
    `output` in interface `com.hp.hpl.jena.sparql.util.PrintSerializable`

### toString

    public String toString(com.hp.hpl.jena.shared.PrefixMapping prefixMapping)

  Specified by:
    `toString` in interface `com.hp.hpl.jena.sparql.util.PrintSerializable`

### output

    public void output(org.openjena.atlas.io.IndentedWriter out)

  Specified by:
    `output` in interface `org.openjena.atlas.io.Printable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.